%define name kmodbox
%define version 0.4.2
%define release 5mdk
%define prefix /usr

Summary: KModBox - a KDE module player
Name: %{name}
Version: %{version}
Release: %{release}
Copyright: GPL
Source: http://www.geocities.com/SiliconValley/Haven/3864/%{name}-%{version}.tar.bz2
Source1: kmodbox
Patch: %{name}-%{version}-docs.patch.bz2
Group: Sound
URL: http://www.geocities.com/SiliconValley/Haven/3864/mainframes.html 
BuildRoot: /var/tmp/%{name}-%{version}-root
BuildRequires: qt-devel, kdelibs, libmikmod-devel >= 3.1.7, gettext
Requires: qt >= 1.42, libmikmod >= 3.1.7

%description
KModBox is a KDE .mod player.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q
%patch -p1 -b .docs

%build
libtoolize --force
export KDEDIR=%{prefix}
#CC="gcc -V`egcs-version`" \
#CXX="g++ -V`egcs-version`" \
CXXFLAGS="$RPM_OPT_FLAGS" CFLAGS="$RPM_OPT_FLAGS" \
	./configure --prefix=$KDEDIR --with-install-root=$RPM_BUILD_ROOT --disable-rpath
make

%install
rm -rf $RPM_BUILD_ROOT
export KDEDIR=%{prefix}
make prefix=$RPM_BUILD_ROOT$KDEDIR install-strip
install -m 755 -d $RPM_BUILD_ROOT/usr/lib/menu
install -m 644 $RPM_SOURCE_DIR/%{name} $RPM_BUILD_ROOT/usr/lib/menu/  

%post
## menu
if [ -x /usr/bin/update-menus ]; then
  /usr/bin/update-menus
fi                       

%postun
## menu
if [ "$1" = 0 ]; then
  if [ -x /usr/bin/update-menus ]; then
      /usr/bin/update-menus
  fi
fi  

%clean
rm -rf $RPM_BUILD_ROOT
rm -f $RPM_BUILD_DIR/file.list.%{name}

%files 
%defattr(-,root,root)
%{prefix}/share/config/kmodboxrc
%dir %{prefix}/doc
%dir %{prefix}/doc/kde
%dir %{prefix}/doc/kde/HTML
%dir %{prefix}/doc/kde/HTML/en
%dir %{prefix}/doc/kde/HTML/en/kmodbox
%dir %{prefix}/doc/kde/HTML/es
%dir %{prefix}/doc/kde/HTML/es/kmodbox
%dir %{prefix}/share
%dir %{prefix}/share/apps
%dir %{prefix}/share/apps/kmodbox
%dir %{prefix}/share/apps/kmodbox/pixs
%dir %{prefix}/share/applnk
%dir %{prefix}/share/applnk/Multimedia
%dir %{prefix}/share/icons
%dir %{prefix}/share/config
%dir %{prefix}/share/locale
%dir %{prefix}/share/locale/hu
%dir %{prefix}/share/locale/hu/LC_MESSAGES
%dir %{prefix}/share/locale/es
%dir %{prefix}/share/locale/es/LC_MESSAGES
%dir %{prefix}/share/locale/de
%dir %{prefix}/share/locale/de/LC_MESSAGES
%dir %{prefix}/bin
%{prefix}/doc/kde/HTML/en/kmodbox/construct.gif
%{prefix}/doc/kde/HTML/en/kmodbox/doc.html
%{prefix}/doc/kde/HTML/en/kmodbox/logotipo.jpg
%{prefix}/doc/kde/HTML/es/kmodbox/construct.gif
%{prefix}/doc/kde/HTML/es/kmodbox/doc.html
%{prefix}/doc/kde/HTML/es/kmodbox/logotipo.jpg
%{prefix}/share/apps/kmodbox/pixs/arriba.xpm
%{prefix}/share/apps/kmodbox/pixs/avanzar.xpm
%{prefix}/share/apps/kmodbox/pixs/ayuda.xpm
%{prefix}/share/apps/kmodbox/pixs/configurar.xpm
%{prefix}/share/apps/kmodbox/pixs/dir.xpm
%{prefix}/share/apps/kmodbox/pixs/exclam.xpm
%{prefix}/share/apps/kmodbox/pixs/filenew.xpm
%{prefix}/share/apps/kmodbox/pixs/fileopen.xpm
%{prefix}/share/apps/kmodbox/pixs/filesave.xpm
%{prefix}/share/apps/kmodbox/pixs/guardar.xpm
%{prefix}/share/apps/kmodbox/pixs/home.xpm
%{prefix}/share/apps/kmodbox/pixs/inst.xpm
%{prefix}/share/apps/kmodbox/pixs/list_add.xpm
%{prefix}/share/apps/kmodbox/pixs/list_list.xpm
%{prefix}/share/apps/kmodbox/pixs/list_subs.xpm
%{prefix}/share/apps/kmodbox/pixs/logo.xpm
%{prefix}/share/apps/kmodbox/pixs/mini-kmodbox.xpm
%{prefix}/share/apps/kmodbox/pixs/mini-playlist.xpm
%{prefix}/share/apps/kmodbox/pixs/parar.xpm
%{prefix}/share/apps/kmodbox/pixs/pausa.xpm
%{prefix}/share/apps/kmodbox/pixs/playlist.xpm
%{prefix}/share/apps/kmodbox/pixs/previa.xpm
%{prefix}/share/apps/kmodbox/pixs/retroceder.xpm
%{prefix}/share/apps/kmodbox/pixs/siguiente.xpm
%{prefix}/share/apps/kmodbox/pixs/texto.xpm
%{prefix}/share/apps/kmodbox/pixs/tocar.xpm
%{prefix}/share/apps/kmodbox/pixs/todos.xpm
%{prefix}/share/applnk/Multimedia/kmodbox.kdelnk
%{prefix}/share/icons/kmodbox.xpm
%{prefix}/share/locale/hu/LC_MESSAGES/kmodbox.mo
%{prefix}/share/locale/es/LC_MESSAGES/kmodbox.mo
%{prefix}/share/locale/de/LC_MESSAGES/kmodbox.mo
%{prefix}/bin/kmodbox                          
%{prefix}/lib/menu/%{name}

%changelog
* Tue Apr 11 2000 Vincent Saugey <vince@mandrakesoft.com> 0.4.2-5mdk
- Add menu file in source

* Thu Mar 30 2000 Vincent Saugey <vince@mandrakesoft.com> 0.4.2-4mdk
- add menu entry
- corrected group

* Fri Jan 21 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.4.2-3mdk
- removed BuildRequires on egcs.

* Fri Jan 21 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 
- Libtoolize --force.

* Sat Nov 18 1999 Giuseppe Ghib <ghibo@linux-mandrake.com>
- updated to version 0.4.2.

* Fri Nov 12 1999 Giuseppe Ghib <ghibo@linux-mandrake.com>
- updated to version 0.4.1.
- added BuildPreReq.

* Mon Sep 06 1999 Giuseppe Ghib <ghibo@linux-mandrake.com>
- initial SPEC file for Mandrake.
